Subject: Re: bug#24718: emacs25.1 + gnus, opening message gives: epg-error "no usable configuration" CMS, bug#24718: 25.1; (auth-source-search) fails in 25.1.1 for OSX

From: Gijs Hillenius <[email-masked]>
Date: Sun, 23 Oct 2016 09:39:45 +0200

I'm still trying to figure out what I'm missing re the Gpgs (bug#24718).

First: if I don't have gpgsm installed, it should just fail, and let
Gnus display the message normally, right?

Second: this might give you an idea:

I notice that for the s/mime messages that seem to cause Gnus & Emacs to
wait forever (over 1 hour yesterday) ps aux shows:

/usr/bin/gpgsm --no-tty --status-fd 1 --yes --output
/tmp/epg-output25808sln --verify -- /tmp/epg-signature258085vt -

If I kill that process, Gnus immediately displays the message normally,
printing:

,----
| [[S/MIME Signed Part:]]
| 1.  ( ) text/plain          (*) text/html      
`----

This is (I think) the same as under Emacs24.

If, while waiting for Emacs Gnus to do its s/mime magic, I can repeat
the gpgsm command I find with ps aux, without the trailing - like so:

,----
| /usr/bin/gpgsm --no-tty --status-fd 1 --yes --output
| /tmp/epg-output25808sln --verify -- /tmp/epg-signature258085vt 
`----

the output is

gpgsm: detached signature w/o data - assuming certs-only
[GNUPG:] NEWSIG
gpgsm: Signature made 2016-10-18 08:56:29 using certificate ID 0x7E75F4FD
gpgsm: invalid signature: message digest attribute does not match computed one
[GNUPG:] BADSIG AC9F7F57E4DF8B867676D82AG4FDACF67E5644FQ /EMail=charles@hisdomain

if I repeat it *with* the trailing -

gpgsm: option --output ignored for a detached signature

it waits for something.. until I ^c it

Does this make some kind of sense?